package turbowin;

import java.net.URL;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;
import javax.swing.SwingWorker;
/*
 * mycl.java
 *
 * Created on 6 april 2007, 7:39
 */

/**
 *
 * @author  stam
 */
final public class mycl extends javax.swing.JFrame 
{
   
   /** Creates new form mycl */
   public mycl() 
   {
      initComponents();
      initComponents2();
      initSynopparameters(); 
      setLocation(main.x_pos_frame, main.y_pos_frame);
      initImages();
     
   }
   

   
   /** This method is called from within the constructor to
    * initialize the form.
    * WARNING: Do NOT modify this code. The content of this method is
    * always regenerated by the Form Editor.
    */
   // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
   private void initComponents() {

      buttonGroup1 = new javax.swing.ButtonGroup();
      jLabel1 = new javax.swing.JLabel();
      jLabel2 = new javax.swing.JLabel();
      jLabel3 = new javax.swing.JLabel();
      jLabel4 = new javax.swing.JLabel();
      jLabel5 = new javax.swing.JLabel();
      jLabel6 = new javax.swing.JLabel();
      jLabel7 = new javax.swing.JLabel();
      jLabel8 = new javax.swing.JLabel();
      jLabel9 = new javax.swing.JLabel();
      jButton1 = new javax.swing.JButton();
      jButton2 = new javax.swing.JButton();
      jButton3 = new javax.swing.JButton();
      jRadioButton1 = new javax.swing.JRadioButton();
      jRadioButton2 = new javax.swing.JRadioButton();
      jRadioButton3 = new javax.swing.JRadioButton();
      jRadioButton4 = new javax.swing.JRadioButton();
      jRadioButton5 = new javax.swing.JRadioButton();
      jRadioButton6 = new javax.swing.JRadioButton();
      jRadioButton7 = new javax.swing.JRadioButton();
      jRadioButton8 = new javax.swing.JRadioButton();
      jRadioButton9 = new javax.swing.JRadioButton();
      jRadioButton10 = new javax.swing.JRadioButton();
      jRadioButton11 = new javax.swing.JRadioButton();
      jSeparator1 = new javax.swing.JSeparator();
      jLabel10 = new javax.swing.JLabel();
      jButton4 = new javax.swing.JButton();
      jButton5 = new javax.swing.JButton();

      setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
      setTitle("Clouds low");
      setMinimumSize(new java.awt.Dimension(800, 600));
      setResizable(false);

      jLabel1.setText("image Cl1");
      jLabel1.setDoubleBuffered(true);
      jLabel1.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl1_image_mouseClicked(evt);
         }
      });

      jLabel2.setText("image Cl2");
      jLabel2.setDoubleBuffered(true);
      jLabel2.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl2_image_mouseClicked(evt);
         }
      });

      jLabel3.setText("image Cl3");
      jLabel3.setDoubleBuffered(true);
      jLabel3.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl3_image_mouseClicked(evt);
         }
      });

      jLabel4.setText("image Cl4");
      jLabel4.setDoubleBuffered(true);
      jLabel4.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl4_image_mouseClicked(evt);
         }
      });

      jLabel5.setText("image Cl5");
      jLabel5.setDoubleBuffered(true);
      jLabel5.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl5_image_mouseClicked(evt);
         }
      });

      jLabel6.setText("image Cl6");
      jLabel6.setDoubleBuffered(true);
      jLabel6.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl6_image_mouseClicked(evt);
         }
      });

      jLabel7.setText("image Cl7");
      jLabel7.setDoubleBuffered(true);
      jLabel7.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl7_image_mouseClicked(evt);
         }
      });

      jLabel8.setText("image Cl8");
      jLabel8.setDoubleBuffered(true);
      jLabel8.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl8_image_mouseClicked(evt);
         }
      });

      jLabel9.setText("image Cl9");
      jLabel9.setDoubleBuffered(true);
      jLabel9.addMouseListener(new java.awt.event.MouseAdapter() {
         public void mouseClicked(java.awt.event.MouseEvent evt) {
            cl9_image_mouseClicked(evt);
         }
      });

      jButton1.setText("OK");
      jButton1.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            OK_button_actionPerformed(evt);
         }
      });

      jButton2.setText("Cancel");
      jButton2.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Cancel_button_actionPerformed(evt);
         }
      });

      jButton3.setText("Internet");
      jButton3.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Internet_button_actionPerformed(evt);
         }
      });

      buttonGroup1.add(jRadioButton1);
      jRadioButton1.setText("Cl1");
      jRadioButton1.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton1.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton2);
      jRadioButton2.setText("Cl2");
      jRadioButton2.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton2.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton3);
      jRadioButton3.setText("Cl3");
      jRadioButton3.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton3.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton4);
      jRadioButton4.setText("Cl4");
      jRadioButton4.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton4.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton5);
      jRadioButton5.setText("Cl5");
      jRadioButton5.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton5.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton6);
      jRadioButton6.setText("Cl6");
      jRadioButton6.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton6.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton7);
      jRadioButton7.setText("Cl7");
      jRadioButton7.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton7.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton8);
      jRadioButton8.setText("Cl8");
      jRadioButton8.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton8.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton9);
      jRadioButton9.setText("Cl9");
      jRadioButton9.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton9.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton10);
      jRadioButton10.setText("no clouds Cl");
      jRadioButton10.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton10.setMargin(new java.awt.Insets(0, 0, 0, 0));

      buttonGroup1.add(jRadioButton11);
      jRadioButton11.setText("not determined");
      jRadioButton11.setBorder(javax.swing.BorderFactory.createEmptyBorder(0, 0, 0, 0));
      jRadioButton11.setMargin(new java.awt.Insets(0, 0, 0, 0));

      jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
      jLabel10.setText("--- click on the appropriate thumbnail for more internet photos ---");

      jButton4.setText("Back");
      jButton4.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Back_button_actionPerformed(evt);
         }
      });

      jButton5.setText("Stop");
      jButton5.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Stop_button_actionPerformed(evt);
         }
      });

      javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
      getContentPane().setLayout(layout);
      layout.setHorizontalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                  .addGap(10, 10, 10)
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                     .addComponent(jLabel10, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jSeparator1)))
               .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                     .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addGap(109, 109, 109)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                           .addGroup(layout.createSequentialGroup()
                              .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                 .addComponent(jRadioButton7)
                                 .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                                 .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                                 .addComponent(jRadioButton1)
                                 .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                                 .addComponent(jRadioButton4))
                              .addGap(48, 48, 48)
                              .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                 .addComponent(jRadioButton8)
                                 .addComponent(jRadioButton2)
                                 .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                                 .addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                                 .addComponent(jRadioButton5)
                                 .addComponent(jLabel8, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)))
                           .addComponent(jRadioButton10))
                        .addGap(45, 45, 45)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                           .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                           .addComponent(jRadioButton6)
                           .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                           .addComponent(jLabel9, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                           .addComponent(jRadioButton9)
                           .addComponent(jRadioButton11)
                           .addComponent(jRadioButton3)))
                     .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addGap(160, 160, 160)
                        .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)))
                  .addGap(0, 151, Short.MAX_VALUE)))
            .addContainerGap())
      );
      layout.setVerticalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jRadioButton1)
               .addComponent(jRadioButton2)
               .addComponent(jRadioButton3))
            .addGap(19, 19, 19)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jRadioButton4)
               .addComponent(jRadioButton5)
               .addComponent(jRadioButton6))
            .addGap(15, 15, 15)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel8, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel9, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jRadioButton7)
               .addComponent(jRadioButton8)
               .addComponent(jRadioButton9))
            .addGap(31, 31, 31)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jRadioButton10)
               .addComponent(jRadioButton11))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 47, Short.MAX_VALUE)
            .addComponent(jLabel10)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(15, 15, 15)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGap(15, 15, 15))
      );

      pack();
   }// </editor-fold>//GEN-END:initComponents


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void initComponents2()
   {
      // hide Back/Stop buttons if not in next_screen_mode
      if (main.in_next_sequence == false)
      {
         jButton4.setEnabled(false);                         // back button
         jButton5.setEnabled(false);                         // stop button
      }



      if (main.offline_mode == true)
      {
         jButton3.setText("Help");
         jLabel10.setText("--- click on the appropriate thumbnail for more cloud photos ---");
      }
   }
   
   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   public ImageIcon createImageIcon(String path_and_file)
   {
      URL url = null;

      try
      {
         url = getClass().getResource(path_and_file);
      }
      catch (Exception e) { /* ... */}

      ImageIcon icon_glyph = new javax.swing.ImageIcon(url);

      return icon_glyph;
   }

   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void initImages()
   {
      main.OSType ostype = main.detect_OS();
      String os = "";
      switch (ostype)
      {
         case WINDOWS: os = "WINDOWS"; 
                       break;
         case MACOS:   os = "MACOS"; 
                       break;
         case LINUX:   os = "LINUX"; 
                       break;
         case OTHER:   os = "OTHER"; 
                       break;
         default:      os = "OTHER"; 
                       break;
      }    
      
      if (os.equals("LINUX"))
      {
         // NB
         //    on Fedora linux approx. every 5-10 times when activating the form the glyphs are not loaded (no errors or exceptions)
         //    even with using BufferdImages instead of the imageIcons, the same result. 
         //    After testing all the pictures were found everytime (so that was not the issue)
         //    It seems the background loading is not always ok on fedora
         
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_1.jpg");
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_2.jpg");
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_3.jpg");
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_4.jpg");
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_5.jpg");
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_6.jpg");
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_7.jpg");
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_8.jpg");
         loadImage_straight(main.ICONS_DIRECTORY + "glyph_cl_9.jpg");
      }
      else
      {
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_1.jpg");
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_2.jpg");
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_3.jpg");
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_4.jpg");
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_5.jpg");
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_6.jpg");
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_7.jpg");
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_8.jpg");
         loadImage(main.ICONS_DIRECTORY + "glyph_cl_9.jpg");
      }
   } // protected void initImages()   


   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   // The doInBackground method, whicl creates the image icon for the photograph, is invoked by the background thread. 
   // After the image icon is fully loaded, the done method is invoked on the event-dispatcling thread. 
   // This updates the GUI to display the photograph

   // SwingWorker is only designed to be executed once. Executing a SwingWorker more than once will not result in invoking the doInBackground method twice.
   // see: http://java.sun.com/javase/6/docs/api/javax/swing/SwingWorker.html
   private void loadImage(final String imagePath) 
   {
      new SwingWorker<ImageIcon, Object>() 
      {
         @Override
         public ImageIcon doInBackground() 
         {
             return createImageIcon(imagePath);
         }

         @Override
         public void done()
         {
            try
            {        
               if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_1.jpg"))
               {
                  ImageIcon img_cl1= get();
                  jLabel1.setIcon(img_cl1); 
               }   
               else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_2.jpg"))
               {    
                  ImageIcon img_cl2= get();
                  jLabel2.setIcon(img_cl2); 
               }   
               else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_3.jpg"))
               {    
                  ImageIcon img_cl3= get();
                  jLabel3.setIcon(img_cl3); 
               }   
               else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_4.jpg"))
               {
                  ImageIcon img_cl4= get();
                  jLabel4.setIcon(img_cl4); 
               }   
               else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_5.jpg"))
               {    
                  ImageIcon img_cl5= get();
                  jLabel5.setIcon(img_cl5); 
               }   
               else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_6.jpg"))
               {    
                  ImageIcon img_cl6= get();
                  jLabel6.setIcon(img_cl6); 
               }   
               else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_7.jpg"))
               {
                  ImageIcon img_cl7= get();
                  jLabel7.setIcon(img_cl7); 
               }   
               else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_8.jpg"))
               {    
                  ImageIcon img_cl8= get();
                  jLabel8.setIcon(img_cl8); 
               }   
               else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_9.jpg"))
               {    
                  ImageIcon img_cl9= get();
                  jLabel9.setIcon(img_cl9); 
               }   
                
            } // try
            catch (InterruptedException ignore) { }
            catch (java.util.concurrent.ExecutionException e) 
            {
                String why = null;
                Throwable cause = e.getCause();
                if (cause != null) 
                {
                   why = cause.getMessage();
                } 
                else 
                {
                   why = e.getMessage();
                }
                //System.err.println("Error retrieving file: " + why);
                JOptionPane.showMessageDialog(null, "Error retrieving file: " + why,  main.APPLICATION_NAME + " error", JOptionPane.ERROR_MESSAGE);
            } // catcl         
         } //  public void done()
      }.execute();
   } // private void loadImage(final String imagePath, final int index)

   

   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void loadImage_straight(final String imagePath) 
   {
      if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_1.jpg"))
      {
         ImageIcon img_cl1= createImageIcon(imagePath);
         jLabel1.setIcon(img_cl1); 
      }   
      else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_2.jpg"))
      {    
         ImageIcon img_cl2= createImageIcon(imagePath);
         jLabel2.setIcon(img_cl2); 
      }   
      else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_3.jpg"))
      {    
         ImageIcon img_cl3= createImageIcon(imagePath);
         jLabel3.setIcon(img_cl3); 
      }   
      else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_4.jpg"))
      {
         ImageIcon img_cl4= createImageIcon(imagePath);
         jLabel4.setIcon(img_cl4); 
      }   
      else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_5.jpg"))
      {    
         ImageIcon img_cl5= createImageIcon(imagePath);
         jLabel5.setIcon(img_cl5); 
      }   
      else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_6.jpg"))
      {    
         ImageIcon img_cl6= createImageIcon(imagePath);
         jLabel6.setIcon(img_cl6); 
      }   
      else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_7.jpg"))
      {
         ImageIcon img_cl7= createImageIcon(imagePath);
         jLabel7.setIcon(img_cl7); 
      }   
      else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_8.jpg"))
      {    
         ImageIcon img_cl8= createImageIcon(imagePath);
         jLabel8.setIcon(img_cl8); 
      }   
      else if (imagePath.equals(main.ICONS_DIRECTORY + "glyph_cl_9.jpg"))
      {    
         ImageIcon img_cl9= createImageIcon(imagePath);
         jLabel9.setIcon(img_cl9); 
      }   
   } // private void loadImage(final String imagePath, final int index)
   
   
   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void initSynopparameters() 
   {

      if (cl_code.compareTo("") != 0)
      {
         if (cl_code.equals(CL1))
            jRadioButton1.setSelected(true);
         else if (cl_code.equals(CL2))
            jRadioButton2.setSelected(true);
         else if (cl_code.equals(CL3))
            jRadioButton3.setSelected(true);
         else if (cl_code.equals(CL4))
            jRadioButton4.setSelected(true);
         else if (cl_code.equals(CL5))
            jRadioButton5.setSelected(true);
         else if (cl_code.equals(CL6))
            jRadioButton6.setSelected(true);
         else if (cl_code.equals(CL7))
            jRadioButton7.setSelected(true);
         else if (cl_code.equals(CL8))
            jRadioButton8.setSelected(true);
         else if (cl_code.equals(CL9))
            jRadioButton9.setSelected(true);
         else if (cl_code.equals(CL0))                                // no clouds Ch
            jRadioButton10.setSelected(true);
            
      } // if (cl.compareTo("") != 0)
      else
         jRadioButton11.setSelected(true);                      // not determined   
         
   } // private void initSynopparameters() 


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Internet_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Internet_button_actionPerformed
// TODO add your handling code here:
      main.help_mouseClicked(CL_HELP_DIR);
   }//GEN-LAST:event_Internet_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Cancel_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancel_button_actionPerformed
// TODO add your handling code here:
      setVisible(false);
      dispose();

       /* next screen in in next sequence mode */
       if (main.in_next_sequence == true)
       {
          next_screen();
       }
   }//GEN-LAST:event_Cancel_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void OK_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OK_button_actionPerformed
// TODO add your handling code here:
      
      if (jRadioButton1.isSelected() == true)
         cl_code = CL1;
      else if (jRadioButton2.isSelected() == true)
         cl_code = CL2;
      else if (jRadioButton3.isSelected() == true)
         cl_code = CL3;
      else if (jRadioButton4.isSelected() == true)
         cl_code = CL4;
      else if (jRadioButton5.isSelected() == true)
         cl_code = CL5;
      else if (jRadioButton6.isSelected() == true)
         cl_code = CL6;
      else if (jRadioButton7.isSelected() == true)
         cl_code = CL7;
      else if (jRadioButton8.isSelected() == true)
         cl_code = CL8;
      else if (jRadioButton9.isSelected() == true)
         cl_code = CL9;
      else if (jRadioButton10.isSelected() == true)
         cl_code = CL0;
      else if (jRadioButton11.isSelected() == true)
         cl_code = "";
      else
         cl_code = "";
      
      /* update clouds low (Cl) fields on main screen progress */
      main.clouds_low_fields_update();
      
      /* close this input page */
      setVisible(false);
      dispose();

      /* next screen if in_next_screen mode */
      if (main.in_next_sequence == true)
      {
         next_screen();
      }
   }//GEN-LAST:event_OK_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl1_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl1_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL1_HELP_DIR);
   }//GEN-LAST:event_cl1_image_mouseClicked


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl2_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl2_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL2_HELP_DIR);
   }//GEN-LAST:event_cl2_image_mouseClicked


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl3_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl3_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL3_HELP_DIR);
   }//GEN-LAST:event_cl3_image_mouseClicked


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl4_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl4_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL4_HELP_DIR);
   }//GEN-LAST:event_cl4_image_mouseClicked


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl5_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl5_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL5_HELP_DIR);
   }//GEN-LAST:event_cl5_image_mouseClicked


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl6_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl6_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL6_HELP_DIR);
   }//GEN-LAST:event_cl6_image_mouseClicked


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl7_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl7_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL7_HELP_DIR);
   }//GEN-LAST:event_cl7_image_mouseClicked

   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl8_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl8_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL8_HELP_DIR);
   }//GEN-LAST:event_cl8_image_mouseClicked

   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void cl9_image_mouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cl9_image_mouseClicked
      // TODO add your handling code here:
      main.help_mouseClicked(CL9_HELP_DIR);
   }//GEN-LAST:event_cl9_image_mouseClicked

   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Back_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Back_button_actionPerformed
      // TODO add your handling code here:
       setVisible(false);
       dispose();

       previous_screen();
   }//GEN-LAST:event_Back_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Stop_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Stop_button_actionPerformed
      // TODO add your handling code here:
      setVisible(false);
      dispose();

      main.in_next_sequence = false;
   }//GEN-LAST:event_Stop_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void previous_screen()
   {
      mypastweather form = new mypastweather();
      form.setSize(800, 600);
      form.setVisible(true);
   }


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void next_screen()
   {
      mycm form = new mycm();
      form.setSize(800, 600);
      form.setVisible(true);
   }


   
   /**
    * @param args the command line arguments
    */
   public static void main(String args[]) {
      java.awt.EventQueue.invokeLater(new Runnable() {
         @Override
         public void run() {
            new mycl().setVisible(true);
         }
      });
   }
   
   // Variables declaration - do not modify//GEN-BEGIN:variables
   private javax.swing.ButtonGroup buttonGroup1;
   private javax.swing.JButton jButton1;
   private javax.swing.JButton jButton2;
   private javax.swing.JButton jButton3;
   private javax.swing.JButton jButton4;
   private javax.swing.JButton jButton5;
   private javax.swing.JLabel jLabel1;
   private javax.swing.JLabel jLabel10;
   private javax.swing.JLabel jLabel2;
   private javax.swing.JLabel jLabel3;
   private javax.swing.JLabel jLabel4;
   private javax.swing.JLabel jLabel5;
   private javax.swing.JLabel jLabel6;
   private javax.swing.JLabel jLabel7;
   private javax.swing.JLabel jLabel8;
   private javax.swing.JLabel jLabel9;
   private javax.swing.JRadioButton jRadioButton1;
   private javax.swing.JRadioButton jRadioButton10;
   private javax.swing.JRadioButton jRadioButton11;
   private javax.swing.JRadioButton jRadioButton2;
   private javax.swing.JRadioButton jRadioButton3;
   private javax.swing.JRadioButton jRadioButton4;
   private javax.swing.JRadioButton jRadioButton5;
   private javax.swing.JRadioButton jRadioButton6;
   private javax.swing.JRadioButton jRadioButton7;
   private javax.swing.JRadioButton jRadioButton8;
   private javax.swing.JRadioButton jRadioButton9;
   private javax.swing.JSeparator jSeparator1;
   // End of variables declaration//GEN-END:variables

   // scope this module + myturbowin.java main module (all of type: static)
   public static String cl_code      = "";                   // static
   
   // constants
   private final String CL0          = "0";
   private final String CL1          = "1";
   private final String CL2          = "2";
   private final String CL3          = "3";
   private final String CL4          = "4";
   private final String CL5          = "5";
   private final String CL6          = "6";
   private final String CL7          = "7";
   private final String CL8          = "8";
   private final String CL9          = "9";
   private final String CL_HELP_DIR  = "cl.pdf";
   private final String CL1_HELP_DIR = "cl_1.pdf";
   private final String CL2_HELP_DIR = "cl_2.pdf";
   private final String CL3_HELP_DIR = "cl_3.pdf";
   private final String CL4_HELP_DIR = "cl_4.pdf";
   private final String CL5_HELP_DIR = "cl_5.pdf";
   private final String CL6_HELP_DIR = "cl_6.pdf";
   private final String CL7_HELP_DIR = "cl_7.pdf";
   private final String CL8_HELP_DIR = "cl_8.pdf";
   private final String CL9_HELP_DIR = "cl_9.pdf";
   
  
} // public class mycl extends javax.swing.JFrame 
